<?php
if ( has_post_thumbnail() ): ?>
	<header id="masthead" class="site-header-thumbnail" role="banner">
<?php else: ?>
	<header id="masthead" class="site-header animated fadeInDown" role="banner">
<?php endif; ?>

	<a class="screen-reader-text skip-link" href="#main-content"><?php _e( 'Skip to content', 'acuarela' ); ?></a>
	<a class="screen-reader-text skip-link" href="#sidebar-widget-area"><?php _e( 'Skip to sidebar', 'acuarela' ); ?></a>
	<a class="screen-reader-text skip-link" href="#page-footer"><?php _e( 'Skip to footer', 'acuarela' ); ?></a>
	<div id="site-identity" class="site-identity">
<?php if ( has_custom_logo() ) :
		the_custom_logo();
	else : ?>
		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="home-link animated fadeIn" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
			<div class="title-description">
				<h1 class="site-title"><?php esc_html( bloginfo( 'name' ) ); ?></h1>
				<h2 class="site-description"><?php esc_html( bloginfo( 'description' ) ); ?></h2>
			</div>
		</a> 

<?php endif ?>
	</div><!--/site-identity-->

	<nav id="nav-menu" class="site-navigation main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Main Navigation', 'acuarela' ); ?>">
		<button id="nav-button" class="menu-toggle" role="button">
			<span class="screen-reader-text"><?php _e( 'Menu', 'acuarela' ); ?></span>
			<span class="genericon" aria-hidden="true"></span>
		</button>
		<?php
		wp_nav_menu(
			array(
				'theme_location' => 'primary',
				'container'      => 'ul',
				'menu_id'        => 'primary-menu',
				'menu_class'     => 'primary-menu',
			)
		);

		if ( has_nav_menu( 'social' ) ) :
			wp_nav_menu(
				array(
					'theme_location' => 'social',
					'container'      => 'ul',
					'menu_id'        => 'header-social-menu',
					'menu_class'     => 'social-menu',
					'depth'          => 1,
					'link_before'    => '<span class="genericon" aria-hidden="true"></span><span class="screen-reader-text">',
					'link_after'     => '</span>',
				)
			);
		endif
		?>
	</nav><!--/navigation-->

<?php get_search_form(); ?>
</header><!--/header-->
